1. Check out our app, Forums for Android! Download and leave feedback here!

Do any of these games work on Cupcake (1.5)

Discussion in 'Android Apps & Games' started by OBL98, Sep 5, 2010.

  1. OBL98

    OBL98 Active Member
    Thread Starter
    15

    Aug 21, 2010
    39
    0
    15
    Hi
    I was thinking about getting the LG eve and it only has android 1.5 on it (supposed to be getting the 1.6 update this month). There are some games that I love off the Iphone but it broke and didn't want to get another iphone. So would any of these games work on cupcake?
    N.O.V.A
    FIFA 2010
    Asphalt.5
    ModernCombat: Sandstorm
    Gangstar
    Need For Speed Shift
    Doodle Jump
    Assasin's Creed
    Hero of sparta
    Avatar
     

    Advertisement

  2. ogrenator

    ogrenator Well-Known Member
    43

    May 9, 2010
    294
    48
    43
    I wouldnt hold my breath....but you never know, ive never even heard of this phone till now maybe someone on here has the LG GW620(eve) and can tell you...id look for something more futureproof if i were you....this phone is running 2 year old hardware...at least
     
  3. iSithis

    iSithis Member
    5

    Aug 15, 2010
    6
    0
    5
    To be honest I don't think You Should get a phone as outdated as that. There are loads newer and better phones out
     
  4. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    Even if they ran, the 3D games aren't going to playable. OS version is less important than CPU/GPU performance when considering games.
     
  5. Stinky Stinky

    Stinky Stinky Well-Known Member
    643

    Aug 31, 2010
    4,213
    2,118
    643
    Monkey
    In a Dumpster!
    Hey OBL89,

    Welcome to the Android Empire hahahaa lol,

    I think you can install 2.x through rooting ur device for the eve, and installing a custom ROM....from xda devs.... but looks like it's not finished yet.... dunno

    However this will void ur warranty and 2nd of all i don't know how good the port actually is dude.... i am angry myself with the Tattoo not getting 2.x on it.... disgusting behaviour from HTC's part in my opinion.... I have installed the 2.x port but...it is slowish and unstable at the moment.

    Anywayz here is some info about ur concerns:

    LG GW620 Development/Kernel hacking (Have LG source mods + trying to get 2.0 working) - Page 23 - xda-developers

    Dunno if it will improve... you are in the hands of their community sadly.

    Anywayz keep well

    Stinky Stinky
     
  6. JiMMaR

    JiMMaR Well-Known Member
    53

    Jun 12, 2010
    363
    57
    53
    if you were planning on staying on 1.5 , you can't play about none of the games , android doesn't support multitouch till 2.0

    I don't actually advice anybody to get any phone less than 2.0
     
  7. OBL98

    OBL98 Active Member
    Thread Starter
    15

    Aug 21, 2010
    39
    0
    15
    Thanks guys about all the replies...
     
  8. OBL98

    OBL98 Active Member
    Thread Starter
    15

    Aug 21, 2010
    39
    0
    15
    I will ask on the other forums for the Eve
     
  9. grainysand

    grainysand Well-Known Member
    143

    Feb 4, 2010
    1,580
    175
    143
    Even if you can magically get these games to run, they'll run like ass thanks to crappy hardware. Why even bother?
     
  10. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    You'll ask other forums what exactly? That phone is too slow to play those games.
     

Share This Page

Loading...